/*
 * SafePeer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details ( see the LICENSE file ).
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ludo.logging;

import java.util.logging.Handler;

/** Logger interface for SafePeer
 * @author  <a href="mailto:masterludo@gmx.net">Ludovic Kim-Xuan Galibert</a>
 * @revision $Id: MiniLogger.java,v 1.1 2004/12/08 22:57:52 masterludo Exp $
 * @created 11. November 2003, 08:08
 */
public interface MiniLogger {
  
  /** Logs the given message as info
   * @param aMessage  the message to log
   */
  public void info(String aMessage);
  
  /** Logs the given message as info
   * @param aMessage  the message to log
   */
  public void warn(String aMessage);
    
  /** Logs the given message as info
   * @param aMessage  the message to log
   */
  public void error(String aMessage);
  
  /** Add the given handler to the logger
   * @param aHandler  a handler to add, must not be null
   */
  public void addHandler(Handler aHandler);
}
