/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details ( see the LICENSE file ).
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ludo.net;

import java.util.ArrayList;
import java.util.List;

/**
 * @author  <a href="mailto:masterludo@gmx.net">Ludovic Kim-Xuan Galibert</a>
 * @revision $Id: HttpConstants.java,v 1.1 2004/12/08 22:57:52 masterludo Exp $
 * @created Mar 2, 2004
 */
public class HttpConstants {
	
	/** Holds a header key */
	public static final String HEADER_ACCEPT = "Accept";
	/** Holds a header key */
	public static final String HEADER_ACCEPT_CHARSET = "Accept-Charset";
	/** Holds a header key */
	public static final String HEADER_ACCEPT_ENCODING = "Accept-Encoding";
	/** Holds a header key */
	public static final String HEADER_ACCEPT_LANGUAGE = "Accept-Language";
	/** Holds a header key */
	public static final String HEADER_ACCEPT_RANGES = "Accept-Ranges";
	/** Holds a header key */
	public static final String HEADER_AGE = "Age";
	/** Holds a header key */
	public static final String HEADER_ALLOW = "Allow";
	/** Holds a header key */
	public static final String HEADER_AUTHORIZATION = "Authorization";
	/** Holds a header key */
	public static final String HEADER_CACHE_CONTROL = "Cache-Control";
	/** Holds a header key */
	public static final String HEADER_CONNECTION = "Connection";
	/** Holds a header key */
	public static final String HEADER_CONTENT_BASE = "Content-Base";
	/** Holds a header key */
	public static final String HEADER_CONTENT_ENCODING = "Content-Encoding";
	/** Holds a header key */
	public static final String HEADER_CONTENT_LANGUAGE = "Content-Language";
	/** Holds a header key */
	public static final String HEADER_CONTENT_LENGTH = "Content-Length";
	/** Holds a header key */
	public static final String HEADER_CONTENT_LOCATION = "Content-Location";
	/** Holds a header key */
	public static final String HEADER_CONTENT_MD5 = "Content-MD5";
	/** Holds a header key */
	public static final String HEADER_CONTENT_RANGE = "Content-Range";
	/** Holds a header key */
	public static final String HEADER_CONTENT_TYPE = "Content-Type";
	/** Holds a header key */
	public static final String HEADER_DATE = "Date";
	/** Holds a header key */
	public static final String HEADER_ETAG = "ETag";
	/** Holds a header key */
	public static final String HEADER_EXPIRES = "Expires";
	/** Holds a header key */
	public static final String HEADER_FROM = "From";
	/** Holds a header key */
	public static final String HEADER_HOST = "Host";
	/** Holds a header key */
	public static final String HEADER_IF_MODIFIED_SINCE= "If-Modified-Since";
	/** Holds a header key */
	public static final String HEADER_IF_MATCH = "If-Match";
	/** Holds a header key */
	public static final String HEADER_IF_NONE_MATCH = "If-None-Match";
	/** Holds a header key */
	public static final String HEADER_IF_RANGE = "If-Range";
	/** Holds a header key */
	public static final String HEADER_IF_UNMODIFIED_SINCE = "If-Unmodified-Since";
	/** Holds a header key */
	public static final String HEADER_LAST_MODIFIED = "Last-Modified";
	/** Holds a header key */
	public static final String HEADER_LOCATION = "Location";
	/** Holds a header key */
	public static final String HEADER_MAX_FORWARDS = "Max-Forwards";
	/** Holds a header key */
	public static final String HEADER_PRAGMA = "Pragma";
	/** Holds a header key */
	public static final String HEADER_PROXY_AUTHENTICATE = "Proxy-Authenticate";
	/** Holds a header key */
	public static final String HEADER_PROXY_AUTHORIZATION = "Proxy-Authorization";
	/** Holds a header key */
	public static final String HEADER_PUBLIC = "Public";
	/** Holds a header key */
	public static final String HEADER_RANGE = "Range";
	/** Holds a header key */
	public static final String HEADER_REFERER = "Referer";
	/** Holds a header key */
	public static final String HEADER_RETRY_AFTER = "Retry-After";
	/** Holds a header key */
	public static final String HEADER_SERVER = "Server";
	/** Holds a header key */
	public static final String HEADER_TRANSFER_ENCODING = "Transfer-Encoding";
	/** Holds a header key */
	public static final String HEADER_UPGRADE = "Upgrade";
	/** Holds a header key */
	public static final String HEADER_USER_AGENT = "User-Agent";
	/** Holds a header key */
	public static final String HEADER_VARY = "Vary";
	/** Holds a header key */
	public static final String HEADER_VIA = "Via";
	/** Holds a header key */
	public static final String HEADER_WARNING = "Warning";
	/** Holds a header key */
	public static final String HEADER_WWW_AUTHENTICATE = "WWW-Authenticate";
	
	/** The HTTP method: OPTIONS */
	public static final String METHOD_OPTIONS = "OPTIONS";
	/** The HTTP method: GET */
	public static final String METHOD_GET = "GET";
	/** The HTTP method: HEAD */
	public static final String METHOD_HEAD = "HEAD";
	/** The HTTP method: POST */
	public static final String METHOD_POST = "POST";
	/** The HTTP method: PUT */
	public static final String METHOD_PUT = "PUT";
	/** The HTTP method: DELETE */
	public static final String METHOD_DELETE = "DELETE";
	/** The HTTP method: TRACE */
	public static final String METHOD_TRACE = "TRACE";
	
	/** The HTTP version 1.0 */
	public static final String HTTP_VERSION_1_0 = "HTTP/1.0";
	
	/** The HTTP version 1.1 */
	public static final String HTTP_VERSION_1_1 = "HTTP/1.1";
	
	/** Holds a list of all available HTTP methods */
	private static List allHttpMethods = new ArrayList(7);
	
	static {
		getAllHttpMethods().add(METHOD_OPTIONS);
		getAllHttpMethods().add(METHOD_GET);
		getAllHttpMethods().add(METHOD_HEAD);
		getAllHttpMethods().add(METHOD_POST);
		getAllHttpMethods().add(METHOD_PUT);
		getAllHttpMethods().add(METHOD_DELETE);
		getAllHttpMethods().add(METHOD_TRACE);
	}
	
	/**
	 * @return Returns the allMethods.
	 */
	protected static List getAllHttpMethods() {
		return allHttpMethods;
	}
}
