/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details ( see the LICENSE file ).
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ludo.plugins.azureus;

/**
 * Configuration constants (property keys) for the Azureus Plugin
 * @author  <a href="mailto:masterludo@gmx.net">Ludovic Kim-Xuan Galibert</a>
 * @revision $Id: AzureusConfigConstants.java,v 1.1 2004/12/08 22:57:50 masterludo Exp $
 * @created Mar 5, 2004
 */
public class AzureusConfigConstants {
  
  /** Holds the config key for asynchronous loading */
  public static final String ASYNC_LOADING = "enable.async.loading";
  
  /** Holds the config key for enabling periodic update */
  public static final String ENABLE_PERIODIC_UPDATE = "enable.periodic.update";
  
  /** Holds the config key for periodic update */
  public static final String UPDATE_TIMER = "update.timer";
}
