/*
 * SafePeer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details ( see the LICENSE file ).
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ludo.safepeer;

/**
 * Configuration constants for SafePeer.
 * @author  <a href="mailto:masterludo@gmx.net">Ludovic Kim-Xuan Galibert</a>
 * @revision $Id: SafepeerConfigConstants.java,v 1.1 2004/12/08 22:57:52 masterludo Exp $
 * @created 26. January 2004, 12:35
 */
public class SafepeerConfigConstants {
	
	/** Holds the name of the config file */
	public static final String CONFIG_FILE_NAME = "safepeer.properties";
	
	/** Holds the key for the state of SafePeer */
	public static final String ENABLE_SAFEPEER = "enable.safepeer";
	
	/** Holds the key for the enabling the blocklist manager */
	public static final String ENABLE_BLOCKLIST_MANAGER = "enable.blocklist.manager";
	
	/** Holds the main URL property key */
  public static final String MAIN_DB_PROPERTY_KEY = "primary.url";
  
  /** Holds the secondary URL list property key */
  public static final String SECONDARY_DB_PROPERTY_KEY = "secondary.urls";
	
	/** Holds the key for the cache file name */
	public static final String CACHE_FILE_KEY = "cache.file";

	/** Holds the key for the logging */
	public static final String LOGGING_KEY = "enable.logging";
	
	/** Holds the flag to check whether the cache should be overwritten or not if the new entries are over a certain count */
	public static final String ENABLE_SAFECACHE = "enable.safe.cache";
	
	/** Holds the minimum cache size for safe cache*/
	public static final String SAFECACHE_SIZE = "safe.cache.size";
}
