/*
 * SafePeer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details ( see the LICENSE file ).
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ludo.safepeer.database;

import java.net.URL;
import java.util.List;
import org.ludo.config.ConfigEntry;

/** Interface class to retrieve some evil IPs from some DB
 * @author  <a href="mailto:masterludo@gmx.net">Ludovic Kim-Xuan Galibert</a>
 * @revision $Id: DatabaseDataRetriever.java,v 1.1 2004/12/08 22:57:51 masterludo Exp $
 * @created 10. November 2003, 14:59
 */
public interface DatabaseDataRetriever {
  
  /** Retrieve the evil IPs database data.
   * @param anURL  the URL from which the data should be retrieved.
   * @param anEntry  a ConfigEntry, must not be <code>null</code>.
   * @return  a DatabaseData object, can be <code>null</code> if no
   * data could be retrieved.
   */
  //public String retrieveData(URL anURL, ConfigEntry anEntry);
  
  /** Retrieve the evil IPs database data.
   * @param anURL  the URL from which the data should be retrieved.
   * @param anEntry  a ConfigEntry, must not be <code>null</code>.
   * @return  a DatabaseData object, can be <code>null</code> if no
   * data could be retrieved.
   */
  public List retrieveDataFiles(URL anURL, ConfigEntry anEntry);
}
