/*
 * SafePeer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details ( see the LICENSE file ).
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ludo.safepeer.parser;

import java.io.OutputStream;
import java.util.List;

/** Interface for a database parsing.
 * @author  <a href="mailto:masterludo@gmx.net">Ludovic Kim-Xuan Galibert</a>
 * @revision $Id: DatabaseDataParser.java,v 1.1 2004/12/08 22:57:50 masterludo Exp $
 * @created 10. November 2003, 14:58
 */
public interface DatabaseDataParser {
  
  /** Parse the data retrieved by the given DatabaseDataRetriever
   * @param someData  the DatabaseData, should be of a type handled by the implementing parser.
   * @param aCache  the cache.
   * @return  a list of EvilPeerEntry objects.
   * @throws IllegalArgumentException  if the DatabaseData is not a type handled by the implementing parser.
   */
  public List parse(List someFiles, OutputStream aCache);
  
}
