package org.ludo.util;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.URL;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;

/**
 * @author  <a href="mailto:masterludo@gmx.net">Ludovic Kim-Xuan Galibert</a>
 * @revision $Id: ArchiveUtilities.java,v 1.1 2004/12/08 22:57:49 masterludo Exp $
 * @created Jun 3, 2004
 */
public class ArchiveUtilities {
	
	/**
	 * 
	 * @param anUrl
	 * @param aName
	 * @return
	 */
	public static File downloadZipFromUrl(URL anUrl, String aName) {
		File result = null;
		try {
			InputStream is = anUrl.openConnection().getInputStream();
			result = File.createTempFile(aName, ".zip");
	    FileOutputStream fos = new FileOutputStream(result);
	    int currentChar = 0;
	    while((currentChar = is.read()) > -1) {
	    	fos.write(currentChar);
	    }
			fos.close();
			is.close();
		} catch (Exception ex) {
			// TODO
			ex.printStackTrace();
		}
		return result;
	}
	
	/**
	 * 
	 * @param anInput
	 * @return
	 */
	public static File unzip(File anInput) {
		File result = null;
		try {
      // Open the ZIP file
      ZipInputStream in = new ZipInputStream(new FileInputStream(anInput));
      
      // Get the first entry
      ZipEntry entry = in.getNextEntry();
      
      result =
      	new File(anInput.getParentFile().getPath() + System.getProperty("file.separator") + entry.getName());
      OutputStream out = new FileOutputStream(result);
  
      // Transfer bytes from the ZIP file to the output file
      byte[] buf = new byte[1024];
      int len;
      while ((len = in.read(buf)) > 0) {
      	out.write(buf, 0, len);
      }
  
      // Close the streams
      out.close();
      in.close();
	  } catch (IOException e) {
	  }
	  return result;
	}

}
