package org.ludo.util;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * @author <a href="mailto:masterludo@gmx.net">Ludovic Kim-Xuan Galibert </a>
 * @revision $Id: StringUtils.java,v 1.1 2004/12/08 22:57:49 masterludo Exp $
 * @created Oct 27, 2004
 */
public class StringUtils {
	/**
	 * 
	 * @param address
	 * @return
	 * @throws UnknownHostException
	 */
	public static int addressToInt(String address) throws UnknownHostException {
		InetAddress i_address = InetAddress.getByName(address);
		byte[] bytes = i_address.getAddress();
		int resp = (bytes[0] << 24) & 0xff000000 | (bytes[1] << 16) & 0x00ff0000
				| (bytes[2] << 8) & 0x0000ff00 | bytes[3] & 0x000000ff;
		return (resp);
	}

	/**
	 * 
	 * @param value
	 * @return
	 */
	public static String intToAddress(int value) {
		byte[] bytes = {(byte) (value >> 24), (byte) (value >> 16),
				(byte) (value >> 8), (byte) value};
		try {
			String res = InetAddress.getByAddress(bytes).getHostAddress();
			return (res);
		} catch (UnknownHostException e) {
			// should never get here as always valid byte array (4 long)
			return null;
		}
	}

	/**
	 * 
	 * @param address
	 * @param buffer
	 * @param offset
	 * @throws UnknownHostException
	 */
	public static void addressTo4ByteArray(String address, byte[] buffer,
			int offset) throws UnknownHostException {
		InetAddress i_address = InetAddress.getByName(address);
		byte[] bytes = i_address.getAddress();
		System.arraycopy(bytes, 0, buffer, offset, 4);
	}

	/**
	 * 
	 * @param dns_name
	 * @return
	 * @throws UnknownHostException
	 */
	public static String DNSToIPAddress(String dns_name)
			throws UnknownHostException {
		return (InetAddress.getByName(dns_name).getHostAddress());
	}

	/**
	 * 
	 * @param args
	 */
	public static void main(String[] args) {
		/*
		String str = "no service tcp-small-servers\n"
				+ "no service udp-small-servers\n" + "no service config\n"
				+ "no cdp run\n" + "no snmp-server community public\n" + "!\n"
				+ "interface bri0\n" + "description this is the dialer\n"
				+ "ip address 192.168.1.1 255.255.255.0\n" + "!\n" + "interface bri1\n"
				+ "ip address 192.168.1.2 255.255.255.0\n" + "!\n"
				+ "interface serial0.1\n" + "ipaddress 172.12.2.1 255.255.255.252\n"
				+ "!\n" + "line aux 0\n" + "no exec\n" + "transport input none\n";
		Pattern pattern = Pattern
				.compile(
						"(interface bri[0-9].+?ip address )(\\d{1,3}\\.\\d{1,3}\\.\\d{1,3}\\.\\d{1,3}) (\\d{1,3}\\.\\d{1,3}\\.\\d{1,3}\\.\\d{1,3})(.+?!)",
						Pattern.DOTALL);
		Matcher matcher = pattern.matcher(str);
		while (matcher.find()) {
			String ip1 = matcher.group(2);
			String ip2 = matcher.group(3);
			System.out.println(ip1 + " " + ip2);
		}
		*/
		/*
		String str = "State of Delaware AP2P:209.92.36.192-209.92.36.223\n"
			+ "Police+Fire Fed. Credit Union AP2P:209.92.132.240-209.92.132.255\n"
			+ "HASBRO AP2P:209.93.232.0-209.93.233.255";
		*/
	}
}